#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define BUF_SIZE 8

int main(int argc, char *argv[])
{
  int len;
  char buf[BUF_SIZE] = "";

  if (argc == 2+1) {
    len = atoi(argv[1]);
#if defined(UNSAFE)
    if (len < BUF_SIZE)
#else
    if (0 < len && len < BUF_SIZE)
#endif
      memcpy(buf, argv[2], len);
  }
  puts(buf);
  return 0;
}
